Extending Qt Creator Manual | PluginView

Extending Qt Creator Manual 4.5.2

# PluginView Class

(ExtensionSystem::PluginView)

The PluginView class implements a widget that shows a list of all plugins and their state. More...

Header: | #include <PluginView>

- List of all members, including inherited members

## Public Functions

| PluginView(QWidget *parent = 0)
PluginSpec * | currentPlugin() const
bool | isShowingHidden() const
void | setFilter(const QString &filter)
void | setShowHidden(bool showHidden)

## Signals

void | currentPluginChanged(ExtensionSystem::PluginSpec *spec)
void | pluginActivated(ExtensionSystem::PluginSpec *spec)
void | pluginSettingsChanged(ExtensionSystem::PluginSpec *spec)

## Detailed Description

The PluginView class implements a widget that shows a list of all plugins and their state.

This class can be embedded for example in a dialog in the application that uses the plugin manager. The class also provides notifications for interaction with the list.

See also ExtensionSystem::PluginDetailsView and ExtensionSystem::PluginErrorView.

## Member Function Documentation

### PluginView::PluginView(QWidget *parent = 0)

Constructs a PluginView that gets the list of plugins from the given plugin manager with a given parent widget.

### PluginSpec *PluginView::currentPlugin() const

Returns the current selection in the list of plugins.

### `[signal]` void PluginView::currentPluginChanged(ExtensionSystem::PluginSpec *spec)

The current selection in the plugin list has changed to the plugin corresponding to spec.

### bool PluginView::isShowingHidden() const

### `[signal]` void PluginView::pluginActivated(ExtensionSystem::PluginSpec *spec)

The plugin list entry corresponding to spec has been activated, for example by a double-click.

### `[signal]` void PluginView::pluginSettingsChanged(ExtensionSystem::PluginSpec *spec)

### void PluginView::setFilter(const QString &filter)

### void PluginView::setShowHidden(bool showHidden)